// pages/choiceCounty/choiceCounty.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        countyList:[{name:'环翠'}],//区域
        curSelectCounty:'环翠区',//当前选择区域 eg：环翠
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getCountyList()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    //获取区域列表
  getCountyList(e){
      console.log(app.globalData.appBaseUrlAll,'app.globalData.appBaseUrlAll')
    wx.request({
      url: app.globalData.appBaseUrlAll + '/api/cnarea2020/findAllByLevelAndParentCode',
      method: 'GET',
      data: {
          code: 371000000000,
          level: 2,
      },
      success: (res) => {
        
        let data=res.data
        console.log(data,'获取区域列表')
        this.setData({
          countyList:data,
          
        })
      }
    })
  },
  // 选中区域
  chooseCounty(e){
    console.log(e,'选中')
    let that=this;
    
    this.setData({
        curSelectCounty: that.data.countyList[e.detail.value].name,
        entryName:null
    })
    },

    countySub(){
        app.globalData.appCounty=this.data.curSelectCounty
        wx.redirectTo({
           
            success: () => {
              wx.showToast({
                title: '登录成功',
                icon: 'success',
                duration: 1000
              })
            },
            url: '/pages/home/home',
          })
    },

})